<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RGeoLocationFilter StructType
 * @subpackage Structs
 */
class RGeoLocationFilter extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The useCountry
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useCountry;
    /**
     * The useNationalSubDivision
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useNationalSubDivision;
    /**
     * The useDistrict
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useDistrict;
    /**
     * The useCommunityName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useCommunityName;
    /**
     * The useCityDivision
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useCityDivision;
    /**
     * The useNeighbourhood
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useNeighbourhood;
    /**
     * The useStreet
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useStreet;
    /**
     * The useLeadingStreetDirection
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useLeadingStreetDirection;
    /**
     * The useTrailingStreetSuffix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useTrailingStreetSuffix;
    /**
     * The useStreetSuffix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useStreetSuffix;
    /**
     * The useHouseNumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useHouseNumber;
    /**
     * The useHouseNumberSuffix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useHouseNumberSuffix;
    /**
     * The useLandmark
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useLandmark;
    /**
     * The useLocation
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useLocation;
    /**
     * The useFloor
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useFloor;
    /**
     * The useOccupantName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useOccupantName;
    /**
     * The usePostalCode
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $usePostalCode;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RGeoLocationFilter
     * @uses RGeoLocationFilter::setName()
     * @uses RGeoLocationFilter::setDescription()
     * @uses RGeoLocationFilter::setUseCountry()
     * @uses RGeoLocationFilter::setUseNationalSubDivision()
     * @uses RGeoLocationFilter::setUseDistrict()
     * @uses RGeoLocationFilter::setUseCommunityName()
     * @uses RGeoLocationFilter::setUseCityDivision()
     * @uses RGeoLocationFilter::setUseNeighbourhood()
     * @uses RGeoLocationFilter::setUseStreet()
     * @uses RGeoLocationFilter::setUseLeadingStreetDirection()
     * @uses RGeoLocationFilter::setUseTrailingStreetSuffix()
     * @uses RGeoLocationFilter::setUseStreetSuffix()
     * @uses RGeoLocationFilter::setUseHouseNumber()
     * @uses RGeoLocationFilter::setUseHouseNumberSuffix()
     * @uses RGeoLocationFilter::setUseLandmark()
     * @uses RGeoLocationFilter::setUseLocation()
     * @uses RGeoLocationFilter::setUseFloor()
     * @uses RGeoLocationFilter::setUseOccupantName()
     * @uses RGeoLocationFilter::setUsePostalCode()
     * @uses RGeoLocationFilter::setUuid()
     * @param string $name
     * @param string $description
     * @param string $useCountry
     * @param string $useNationalSubDivision
     * @param string $useDistrict
     * @param string $useCommunityName
     * @param string $useCityDivision
     * @param string $useNeighbourhood
     * @param string $useStreet
     * @param string $useLeadingStreetDirection
     * @param string $useTrailingStreetSuffix
     * @param string $useStreetSuffix
     * @param string $useHouseNumber
     * @param string $useHouseNumberSuffix
     * @param string $useLandmark
     * @param string $useLocation
     * @param string $useFloor
     * @param string $useOccupantName
     * @param string $usePostalCode
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $useCountry = null, $useNationalSubDivision = null, $useDistrict = null, $useCommunityName = null, $useCityDivision = null, $useNeighbourhood = null, $useStreet = null, $useLeadingStreetDirection = null, $useTrailingStreetSuffix = null, $useStreetSuffix = null, $useHouseNumber = null, $useHouseNumberSuffix = null, $useLandmark = null, $useLocation = null, $useFloor = null, $useOccupantName = null, $usePostalCode = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setUseCountry($useCountry)
            ->setUseNationalSubDivision($useNationalSubDivision)
            ->setUseDistrict($useDistrict)
            ->setUseCommunityName($useCommunityName)
            ->setUseCityDivision($useCityDivision)
            ->setUseNeighbourhood($useNeighbourhood)
            ->setUseStreet($useStreet)
            ->setUseLeadingStreetDirection($useLeadingStreetDirection)
            ->setUseTrailingStreetSuffix($useTrailingStreetSuffix)
            ->setUseStreetSuffix($useStreetSuffix)
            ->setUseHouseNumber($useHouseNumber)
            ->setUseHouseNumberSuffix($useHouseNumberSuffix)
            ->setUseLandmark($useLandmark)
            ->setUseLocation($useLocation)
            ->setUseFloor($useFloor)
            ->setUseOccupantName($useOccupantName)
            ->setUsePostalCode($usePostalCode)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get useCountry value
     * @return string|null
     */
    public function getUseCountry()
    {
        return $this->useCountry;
    }
    /**
     * Set useCountry value
     * @param string $useCountry
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseCountry($useCountry = null)
    {
        $this->useCountry = $useCountry;
        return $this;
    }
    /**
     * Get useNationalSubDivision value
     * @return string|null
     */
    public function getUseNationalSubDivision()
    {
        return $this->useNationalSubDivision;
    }
    /**
     * Set useNationalSubDivision value
     * @param string $useNationalSubDivision
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseNationalSubDivision($useNationalSubDivision = null)
    {
        $this->useNationalSubDivision = $useNationalSubDivision;
        return $this;
    }
    /**
     * Get useDistrict value
     * @return string|null
     */
    public function getUseDistrict()
    {
        return $this->useDistrict;
    }
    /**
     * Set useDistrict value
     * @param string $useDistrict
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseDistrict($useDistrict = null)
    {
        $this->useDistrict = $useDistrict;
        return $this;
    }
    /**
     * Get useCommunityName value
     * @return string|null
     */
    public function getUseCommunityName()
    {
        return $this->useCommunityName;
    }
    /**
     * Set useCommunityName value
     * @param string $useCommunityName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseCommunityName($useCommunityName = null)
    {
        $this->useCommunityName = $useCommunityName;
        return $this;
    }
    /**
     * Get useCityDivision value
     * @return string|null
     */
    public function getUseCityDivision()
    {
        return $this->useCityDivision;
    }
    /**
     * Set useCityDivision value
     * @param string $useCityDivision
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseCityDivision($useCityDivision = null)
    {
        $this->useCityDivision = $useCityDivision;
        return $this;
    }
    /**
     * Get useNeighbourhood value
     * @return string|null
     */
    public function getUseNeighbourhood()
    {
        return $this->useNeighbourhood;
    }
    /**
     * Set useNeighbourhood value
     * @param string $useNeighbourhood
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseNeighbourhood($useNeighbourhood = null)
    {
        $this->useNeighbourhood = $useNeighbourhood;
        return $this;
    }
    /**
     * Get useStreet value
     * @return string|null
     */
    public function getUseStreet()
    {
        return $this->useStreet;
    }
    /**
     * Set useStreet value
     * @param string $useStreet
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseStreet($useStreet = null)
    {
        $this->useStreet = $useStreet;
        return $this;
    }
    /**
     * Get useLeadingStreetDirection value
     * @return string|null
     */
    public function getUseLeadingStreetDirection()
    {
        return $this->useLeadingStreetDirection;
    }
    /**
     * Set useLeadingStreetDirection value
     * @param string $useLeadingStreetDirection
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseLeadingStreetDirection($useLeadingStreetDirection = null)
    {
        $this->useLeadingStreetDirection = $useLeadingStreetDirection;
        return $this;
    }
    /**
     * Get useTrailingStreetSuffix value
     * @return string|null
     */
    public function getUseTrailingStreetSuffix()
    {
        return $this->useTrailingStreetSuffix;
    }
    /**
     * Set useTrailingStreetSuffix value
     * @param string $useTrailingStreetSuffix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseTrailingStreetSuffix($useTrailingStreetSuffix = null)
    {
        $this->useTrailingStreetSuffix = $useTrailingStreetSuffix;
        return $this;
    }
    /**
     * Get useStreetSuffix value
     * @return string|null
     */
    public function getUseStreetSuffix()
    {
        return $this->useStreetSuffix;
    }
    /**
     * Set useStreetSuffix value
     * @param string $useStreetSuffix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseStreetSuffix($useStreetSuffix = null)
    {
        $this->useStreetSuffix = $useStreetSuffix;
        return $this;
    }
    /**
     * Get useHouseNumber value
     * @return string|null
     */
    public function getUseHouseNumber()
    {
        return $this->useHouseNumber;
    }
    /**
     * Set useHouseNumber value
     * @param string $useHouseNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseHouseNumber($useHouseNumber = null)
    {
        $this->useHouseNumber = $useHouseNumber;
        return $this;
    }
    /**
     * Get useHouseNumberSuffix value
     * @return string|null
     */
    public function getUseHouseNumberSuffix()
    {
        return $this->useHouseNumberSuffix;
    }
    /**
     * Set useHouseNumberSuffix value
     * @param string $useHouseNumberSuffix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseHouseNumberSuffix($useHouseNumberSuffix = null)
    {
        $this->useHouseNumberSuffix = $useHouseNumberSuffix;
        return $this;
    }
    /**
     * Get useLandmark value
     * @return string|null
     */
    public function getUseLandmark()
    {
        return $this->useLandmark;
    }
    /**
     * Set useLandmark value
     * @param string $useLandmark
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseLandmark($useLandmark = null)
    {
        $this->useLandmark = $useLandmark;
        return $this;
    }
    /**
     * Get useLocation value
     * @return string|null
     */
    public function getUseLocation()
    {
        return $this->useLocation;
    }
    /**
     * Set useLocation value
     * @param string $useLocation
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseLocation($useLocation = null)
    {
        $this->useLocation = $useLocation;
        return $this;
    }
    /**
     * Get useFloor value
     * @return string|null
     */
    public function getUseFloor()
    {
        return $this->useFloor;
    }
    /**
     * Set useFloor value
     * @param string $useFloor
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseFloor($useFloor = null)
    {
        $this->useFloor = $useFloor;
        return $this;
    }
    /**
     * Get useOccupantName value
     * @return string|null
     */
    public function getUseOccupantName()
    {
        return $this->useOccupantName;
    }
    /**
     * Set useOccupantName value
     * @param string $useOccupantName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUseOccupantName($useOccupantName = null)
    {
        $this->useOccupantName = $useOccupantName;
        return $this;
    }
    /**
     * Get usePostalCode value
     * @return string|null
     */
    public function getUsePostalCode()
    {
        return $this->usePostalCode;
    }
    /**
     * Set usePostalCode value
     * @param string $usePostalCode
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUsePostalCode($usePostalCode = null)
    {
        $this->usePostalCode = $usePostalCode;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RGeoLocationFilter
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
